#!/usr/bin/perl -w

# Print the features for a decision tree and all "pruned" versions of
# the same decision tree, by chopping off the conditions.

while(<>)
{
  chomp;
  if (/^$/) { next; }
  @parents = split;
  $child = shift @parents;
  print "$child @parents\n";
  while (@parents > 0) {
    shift @parents;
    print "$child @parents\n";
  }
}
